# Get routable domains

`GET /workspaces/:workspace/distributions/:distribution_id/routable-domains`

Get domains routable to a distribution

**Required Scopes:** `DISTRIBUTION_INFO`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The ID of the distribution */
  distribution_id: string; // Example: "nZrnl40Y"
}
```

## Query Parameters

```typescript
interface QueryParameters {
  /** Project name to filter distributions */
  project_name?: string; // Example: "my-project"
  /** Environment ID to filter distributions */
  environment_id?: string; // Example: "3a4KbBQl"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  routable_domains?: RoutableDomainView[];
}
```

## Type Definitions

```typescript
interface RoutableDomainView {
  /** The domain available for routing */
  domain?: string;
  /** The type of DNS zone */
  type?: "ROUTING" | "CLAIMABLE" | "USER" | "CLAIMED" | "NS_POINTED" | "CNAME_POINTED";
  /** The ID of the DNS zone */
  zone_id?: string;
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-workspace/distributions/rm1P93jG/routable-domains",
  "routable_domains": [
    {
      "domain": "buddy.works",
      "type": "INTERNAL",
      "zone_id": null
    },
    {
      "domain": "example.com",
      "type": "CLAIMED",
      "zone_id": "1ObP9zw8"
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/distributions/routable-domains